Skip to main content
GET
Get Trajectory

Authorizations

Authorization
string
header
required

A token from the identity provider your deployment federates with. It identifies a person; their roles in the workspace decide what they may do.

Path Parameters

trajectory_id
string
required

Response

Successful Response

The trajectory, plus everything it did.

id
string
required
agent_id
string
required
stream_key
string
required
seq
integer
required
external_ref
string | null
required
status
string
required
taint
TaintLabelOut · object[]
required
content_hash
string | null
required
started_at
string<date-time>
required
ended_at
string<date-time> | null
required
goal
Goal · object
required
outcome
Outcome · object
required
steps
StepOut · object[]
required
market_profile_id
string | null